Security Enhanced Linux Reference Policy

# Layer: services

## Module: setroubleshoot

Interfaces

### Description:

SELinux troubleshooting service.

### Interfaces:

setroubleshoot_admin( domain , role )

##### Summary

All of the rules required to administrate an setroubleshoot environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

setroubleshoot_dbus_chat( domain )

##### Summary

Send and receive messages from setroubleshoot over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

setroubleshoot_dbus_chat_fixit( domain )

##### Summary

Send and receive messages from setroubleshoot fixit over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

setroubleshoot_dontaudit_dbus_chat( domain )

##### Summary

Do not audit send and receive messages from setroubleshoot over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

setroubleshoot_dontaudit_stream_connect( domain )

##### Summary

Do not audit attempts to connect to setroubleshootd with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

setroubleshoot_signull( domain )

##### Summary

Send null signals to setroubleshoot.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

setroubleshoot_stream_connect( domain )

##### Summary

Connect to setroubleshootd with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return